Subject: bug#21301: 25.0.50; Emacs Trunk: Fringe bitmaps confuse foreground/background colors.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Aug 2015 23:18:12 +0300

> Date:  Sat, 29 Aug 2015 12:51:11 -0700
> From:  Keith David Bershatsky <[email-masked]>
> Cc:  [email-masked]
> 
> I rolled back to the commit "SHA 67a878f78f879ce534232408c34dd11f42dd802b" [May 15, 2015 at 2:31 a.m.], then built Emacs, and bug#21301 WAS present.
> 
> I rolled back to the commit "SHA b1c23fb94072cca7f08ea5f50430916b9ea168e6" [May 15, 2015 at 2:17 a.m.], then built Emacs, and bug#21301 was NOT present -- i.e., everything was working as it should.
> 

Great, thanks.  So we now know for sure that 67a878f _was_ the
culprit.

I hope someone knowledgeable about NS and OS X will be able to tell
what's wrong with that change, and how to fix it.